Loading...
Searching...
No Matches
RDKit::Chirality::detail Namespace Reference

## Functions

RDKIT_GRAPHMOL_EXPORT Bond::BondDir | determineBondWedgeState (const Bond *bond, unsigned int fromAtomIdx, const Conformer *conf)
RDKIT_GRAPHMOL_EXPORT Bond::BondDir | determineBondWedgeState (const Bond *bond, const INT_MAP_INT &wedgeBonds, const Conformer *conf)
RDKIT_GRAPHMOL_EXPORT std::pair< bool, INT_VECT > | countChiralNbrs (const ROMol &mol, int noNbrs)
RDKIT_GRAPHMOL_EXPORT int | pickBondToWedge (const Atom *atom, const ROMol &mol, const INT_VECT &nChiralNbrs, const INT_MAP_INT &resSoFar, int noNbrs)
RDKIT_GRAPHMOL_EXPORT void | setStereoanyFromSquiggleBond (ROMol &mol, Bond *bond, Bond::BondStereo stereo=Bond::STEREOANY)

## Function Documentation

## countChiralNbrs()

RDKIT_GRAPHMOL_EXPORT std::pair< bool, INT_VECT > RDKit::Chirality::detail::countChiralNbrs | ( | const ROMol & | mol,
|  | int | noNbrs
| ) |  |

## determineBondWedgeState() [1/2]

RDKIT_GRAPHMOL_EXPORT Bond::BondDir RDKit::Chirality::detail::determineBondWedgeState | ( | const Bond * | bond,
|  | const INT_MAP_INT & | wedgeBonds,
|  | const Conformer * | conf
| ) |  |

## determineBondWedgeState() [2/2]

RDKIT_GRAPHMOL_EXPORT Bond::BondDir RDKit::Chirality::detail::determineBondWedgeState | ( | const Bond * | bond,
|  | unsigned int | fromAtomIdx,
|  | const Conformer * | conf
| ) |  |

## pickBondToWedge()

RDKIT_GRAPHMOL_EXPORT int RDKit::Chirality::detail::pickBondToWedge | ( | const Atom * | atom,
|  | const ROMol & | mol,
|  | const INT_VECT & | nChiralNbrs,
|  | const INT_MAP_INT & | resSoFar,
|  | int | noNbrs
| ) |  |

## setStereoanyFromSquiggleBond()

RDKIT_GRAPHMOL_EXPORT void RDKit::Chirality::detail::setStereoanyFromSquiggleBond | ( | ROMol & | mol,
|  | Bond * | bond,
|  | Bond::BondStereo | stereo = `Bond::STEREOANY`
| ) |  |